Subject: bug#61475: closed (Re: bug#61475: Staging branch (was: Moving forward with teams and feature branches))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 May 2023 02:56:02 +0000

Your bug report

#61475: Staging branch (was: Moving forward with teams and feature branches)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61475: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61475
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61475: Staging branch (was: Moving forward with teams and feature branches)
From: Maxim Cournoyer <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, [email-masked]
Date: Tue, 09 May 2023 22:55:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Andreas Enge <[email-masked]> writes:

> Am Sun, Feb 12, 2023 at 10:13:35PM +0100 schrieb Josselin Poiret:
>> 4. staging merge happens, and the branch gets deleted.
>
> I tried to build staging for my profile on x86_64, but it failed with
> a dependency of ffmpeg, rust-rav1e-0.5.1. There is a newer version 0.6.3,
> but I did not simply update it, since the package looks particularly
> complicated, containing a phase:
>          (add-after 'configure 'force-rust-edition-2018
>            (lambda* (#:key vendor-dir #:allow-other-keys)
>              ;; Force all the dependencies to not be higher than edition 2018.
>              (with-fluids ((%default-port-encoding #f))
>                (substitute* (find-files vendor-dir "Cargo.toml")
>                  (("edition = \\\"2021\\\"") "edition = \"2018\"")))))
> and many other changes.
>
> If someone who knows rust could have a look and make a suggestion, that
> would be great.

Closing, both staging and the rust branch having been merged.

-- 
Thanks,
Maxim

Subject: Re: Staging branch (was: Moving forward with teams and feature branches)
From: Andreas Enge <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Feb 2023 15:04:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Sun, Feb 12, 2023 at 10:13:35PM +0100 schrieb Josselin Poiret:
> 4. staging merge happens, and the branch gets deleted.

I tried to build staging for my profile on x86_64, but it failed with
a dependency of ffmpeg, rust-rav1e-0.5.1. There is a newer version 0.6.3,
but I did not simply update it, since the package looks particularly
complicated, containing a phase:
         (add-after 'configure 'force-rust-edition-2018
           (lambda* (#:key vendor-dir #:allow-other-keys)
             ;; Force all the dependencies to not be higher than edition 2018.
             (with-fluids ((%default-port-encoding #f))
               (substitute* (find-files vendor-dir "Cargo.toml")
                 (("edition = \\\"2021\\\"") "edition = \"2018\"")))))
and many other changes.

If someone who knows rust could have a look and make a suggestion, that
would be great.

Andreas